com.smartgwt.client.core

## Class KeyIdentifier

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.KeyIdentifier

-     public class KeyIdentifier
      extends DataClass

  Identifier for a key pressed by the user, optionally specifying whether the Shift, Control, and/or Alt keys should be held or not held when the key is pressed, used by various methods.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyIdentifier()`
    `KeyIdentifier(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAltKey()` If set, whether the Alt key must be held down.
    `java.lang.Boolean` | `getCtrlKey()` If set, whether the Control key must be held down.
    `java.lang.String` | `getKeyName()` Name of the key.
    `static KeyIdentifier` | `getOrCreateRef(JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShiftKey()` If set, whether the Shift key must be held down.
    `void` | `setAltKey(java.lang.Boolean altKey)` If set, whether the Alt key must be held down.
    `void` | `setCtrlKey(java.lang.Boolean ctrlKey)` If set, whether the Control key must be held down.
    `void` | `setKeyName(java.lang.String keyName)` Name of the key.
    `void` | `setShiftKey(java.lang.Boolean shiftKey)` If set, whether the Shift key must be held down.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyIdentifier

          public KeyIdentifier()

    - #### KeyIdentifier

          public KeyIdentifier(JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static KeyIdentifier getOrCreateRef(JavaScriptObject jsObj)

    - #### setAltKey

          public void setAltKey(java.lang.Boolean altKey)

      If set, whether the Alt key must be held down.
      Parameters:
        `altKey` - Default value is null
      See Also:
        `EventHandler.altKeyDown()`

    - #### getAltKey

          public java.lang.Boolean getAltKey()

      If set, whether the Alt key must be held down.
      Returns:
        Boolean
      See Also:
        `EventHandler.altKeyDown()`

    - #### setCtrlKey

          public void setCtrlKey(java.lang.Boolean ctrlKey)

      If set, whether the Control key must be held down.
      Parameters:
        `ctrlKey` - Default value is null
      See Also:
        `EventHandler.ctrlKeyDown()`

    - #### getCtrlKey

          public java.lang.Boolean getCtrlKey()

      If set, whether the Control key must be held down.
      Returns:
        Boolean
      See Also:
        `EventHandler.ctrlKeyDown()`

    - #### setKeyName

          public void setKeyName(java.lang.String keyName)

      Name of the key.
      Parameters:
        `keyName` - Default value is null

    - #### getKeyName

          public java.lang.String getKeyName()

      Name of the key.
      Returns:
        String

    - #### setShiftKey

          public void setShiftKey(java.lang.Boolean shiftKey)

      If set, whether the Shift key must be held down.
      Parameters:
        `shiftKey` - Default value is null
      See Also:
        `EventHandler.shiftKeyDown()`

    - #### getShiftKey

          public java.lang.Boolean getShiftKey()

      If set, whether the Shift key must be held down.
      Returns:
        Boolean
      See Also:
        `EventHandler.shiftKeyDown()`